FEM def para;r;proximal_phalanx_I
FEM def coor 3,1
FEM def base;r;proximal_phalanx_I

#
# Reads in an initial mesh and calculates linear approximations
#  for the derivatives
#
FEM def node;r;proximal_phalanx_I
FEM def elem;r;proximal_phalanx_I
FEM up node deriv 1 linear
FEM up node deriv 2 linear
FEM up node deriv 3 linear
FEM update scale_factor normalise
FEM up field from geometry
#
# Group elements and faces
#
#FEM group elements all_elements as EEE
#FEM group faces 1..5,7..11 as FFF

#
# The initial mesh
#
#FEM export node;proximal_phalanx_I_init as proximal_phalanx_I_init offset 10000
#FEM export elem;proximal_phalanx_I_init as proximal_phalanx_I_init offset_elem 10000

#
# Calculate the intial xi projections
#
FEM def data;r;proximal_phalanx_I
FEM def xi;c closest_face external
#FEM def xi;w;proximal_phalanx_I
FEM li data err 
#FEM export data;proximal_phalanx_I_data as proximal_phalanx_I_data error


#
# Setup the fitting problem
#
FEM def fit;r;proximal_phalanx_I geometry 


#
# First fit
#
FEM fit
FEM update node fit
FEM update scale_factor normalise 
FEM def xi;c closest_face external old
FEM li data err 
FEM export data;proximal_phalanx_I_data_1 as proximal_phalanx_I_data_1 error
FEM export node;fitted_proximal_phalanx_I_1 as fitted_proximal_phalanx_I_1 offset 20000
FEM export elem;fitted_proximal_phalanx_I_1 as fitted_proximal_phalanx_I_1 offset_elem 20000

#
# Second fit
#
#FEM def fit;r;proximal_phalanx_I_2 geometry


FEM fit
FEM update node fit
FEM update scale_factor normalise
FEM def xi;c closest_face external old
FEM li data err 
FEM export data;proximal_phalanx_I_data_2 as proximal_phalanx_I_data_2 error
FEM export node;fitted_proximal_phalanx_I_2 as fitted_proximal_phalanx_I_2 offset 30000
FEM export elem;fitted_proximal_phalanx_I_2 as fitted_proximal_phalanx_I_2 offset_elem 30000

#
# Third fit
#
FEM fit
FEM update node fit
FEM update scale_factor normalise
FEM def xi;c closest_face external old
FEM li data err 
FEM export data;proximal_phalanx_I_data_3 as proximal_phalanx_I_data_3 error
FEM export node;fitted_proximal_phalanx_I_3 as fitted_proximal_phalanx_I_3 offset 40000
FEM export elem;fitted_proximal_phalanx_I_3 as fitted_proximal_phalanx_I_3 offset_elem 40000

#
# Fourth fit
#
FEM fit
FEM update node fit
FEM update scale_factor normalise
FEM def xi;c closest_face external old
FEM li data err 
FEM export data;proximal_phalanx_I_data_4 as proximal_phalanx_I_data_4 error
FEM export node;fitted_proximal_phalanx_I_4 as fitted_proximal_phalanx_I_4 offset 50000
FEM export elem;fitted_proximal_phalanx_I_4 as fitted_proximal_phalanx_I_4 offset_elem 50000
#
# Fifth fit
#
FEM fit
FEM update node fit
FEM update scale_factor normalise
FEM def xi;c closest_face external old
FEM li data err 
FEM export data;proximal_phalanx_I_data_5 as proximal_phalanx_I_data_5 error
FEM export node;fitted_proximal_phalanx_I_5 as fitted_proximal_phalanx_I_5 offset 60000
FEM export elem;fitted_proximal_phalanx_I_5 as fitted_proximal_phalanx_I_5 offset_elem 60000
#
# Sixth fit
#
FEM fit
FEM update node fit
FEM update scale_factor normalise
FEM def xi;c closest_face external old
FEM li data err 
FEM export data;proximal_phalanx_I_data_6 as proximal_phalanx_I_data_6 error
FEM export node;fitted_proximal_phalanx_I_6 as fitted_proximal_phalanx_I_6 offset 70000
FEM export elem;fitted_proximal_phalanx_I_6 as fitted_proximal_phalanx_I_6 offset_elem 70000

FEM def no;w;fitted_proximal_phalanx_I_6
FEM def elem;w;fitted_proximal_phalanx_I_6

quit

